cURL
curl --request GET \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/steps' \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/steps"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/steps';
const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/steps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/steps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("BLINK-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/steps")
.header("BLINK-API-KEY", "<api-key>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/steps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["BLINK-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body
{
"limit": 123,
"offset": 123,
"total": 123,
"results": [
{
"action": "<string>",
"async_subflow_execution_ids": [
"<string>"
],
"billed_state_counts": {},
"cmd_id": "<string>",
"continue_on_error": true,
"created_at": 123,
"created_by": "<string>",
"error_caught": true,
"error_data": "<string>",
"evaluated_expressions": {},
"execution_count": 123,
"execution_id": "<string>",
"finished_at": 123,
"id": "<string>",
"input_parameters": {},
"original_output": "<string>",
"output_data": "<string>",
"parent_step_ids": [
"<string>"
],
"response_type": 123,
"runner": "<string>",
"runner_cluster_version": "<string>",
"runner_group_id": "<string>",
"runner_version": "<string>",
"started_at": 123,
"state": "<string>",
"step_id": "<string>",
"subflow_execution_id": "<string>",
"subflow_id": "<string>",
"sync_subflow_execution_ids": [
"<string>"
],
"tenant_id": "<string>",
"timeout": 123,
"updated_at": 123,
"updated_by": "<string>"
}
]
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Executions
List step executions for a specified execution
API endpoint to list all step executions for a specified workflow execution.
GET
/
workspace
/
{ws_id}
/
executions
/
{id}
/
steps
cURL
curl --request GET \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/steps' \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/steps"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/steps';
const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/steps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/steps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("BLINK-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/steps")
.header("BLINK-API-KEY", "<api-key>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/steps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["BLINK-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body
{
"limit": 123,
"offset": 123,
"total": 123,
"results": [
{
"action": "<string>",
"async_subflow_execution_ids": [
"<string>"
],
"billed_state_counts": {},
"cmd_id": "<string>",
"continue_on_error": true,
"created_at": 123,
"created_by": "<string>",
"error_caught": true,
"error_data": "<string>",
"evaluated_expressions": {},
"execution_count": 123,
"execution_id": "<string>",
"finished_at": 123,
"id": "<string>",
"input_parameters": {},
"original_output": "<string>",
"output_data": "<string>",
"parent_step_ids": [
"<string>"
],
"response_type": 123,
"runner": "<string>",
"runner_cluster_version": "<string>",
"runner_group_id": "<string>",
"runner_version": "<string>",
"started_at": 123,
"state": "<string>",
"step_id": "<string>",
"subflow_execution_id": "<string>",
"subflow_id": "<string>",
"sync_subflow_execution_ids": [
"<string>"
],
"tenant_id": "<string>",
"timeout": 123,
"updated_at": 123,
"updated_by": "<string>"
}
]
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Authorizations
Path Parameters
Was this page helpful?